Debian Bug report logs - #477787
Need to plan migration path to MaraDNS to 2.0

version graph

Package: maradns; Maintainer for maradns is Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>; Source for maradns is src:maradns.

Reported by: martin f krafft <madduck@debian.org>

Date: Fri, 25 Apr 2008 08:33:12 UTC

Owned by: nicholas@periapt.co.uk

Severity: normal

Tags: confirmed, fixed-upstream, ipv6

Merged with 525188

Found in versions maradns/1.3.07.08-1, maradns/1.3.07.09-2, maradns/1.4.03-1.1

Fixed in version maradns/2.0.04-1

Done: Nicholas Bamber <nicholas@periapt.co.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kai Hendry <hendry@iki.fi>:
Bug#477787; Package maradns. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fails to bind to ipv6 addresses
Date: Fri, 25 Apr 2008 10:25:16 +0200
[Message part 1 (text/plain, inline)]
Package: maradns
Version: 1.3.07.08-1
Severity: normal

If I specify ipv6_bind_addresses, the log spews:

maradns.etc_maradns_mararc: Fatal error: maradns must be compiled as authonly to have ipv6 support
maradns.etc_maradns_mararc: ./configure --authonly ; make will compile maradns thusly
maradns.etc_maradns_mararc: Note that this will disable recursion and caching

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-1-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash


-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[digital_signature_gpg.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Kai Hendry <hendry@iki.fi>:
Bug#477787; Package maradns. Full text and rfc822 format available.

Acknowledgement sent to "Kai Hendry" <hendry@iki.fi>:
Extra info received and forwarded to list. Copy sent to Kai Hendry <hendry@iki.fi>. Full text and rfc822 format available.

Message #8 received at 477787@bugs.debian.org (full text, mbox):

From: "Kai Hendry" <hendry@iki.fi>
To: 477787@bugs.debian.org
Subject: Fwd: Bug#477787: fails to bind to ipv6 addresses
Date: Tue, 29 Apr 2008 22:20:29 +0100
---------- Forwarded message ----------
From: Sam Trenholme <maradns@gmail.com>
Date: Tue, Apr 29, 2008 at 10:11 PM
Subject: Re: Bug#477787: fails to bind to ipv6 addresses
To: Kai Hendry <hendry@iki.fi>


Works as designed.  You must disable recursion (and compile MaraDNS to
 not have recursion) to have ipv6 support.

 Maybe we'll need to make a maradns-ipv6 package or some such.  :)

 - Sam



 On Fri, Apr 25, 2008 at 4:27 AM, Kai Hendry <hendry@iki.fi> wrote:
 > Hi Sam,
 >
 >  How are you doing? Still enjoying Mexico? :)
 >
 >  ---------- Forwarded message ----------
 >  From: martin f krafft <madduck@debian.org>
 >  Date: Fri, Apr 25, 2008 at 9:25 AM
 >  Subject: Bug#477787: fails to bind to ipv6 addresses
 >  To: Debian Bug Tracking System <submit@bugs.debian.org>
 >
 >
 >  Package: maradns
 >   Version: 1.3.07.08-1
 >   Severity: normal
 >
 >   If I specify ipv6_bind_addresses, the log spews:
 >
 >   maradns.etc_maradns_mararc: Fatal error: maradns must be compiled as
 >  authonly to have ipv6 support
 >   maradns.etc_maradns_mararc: ./configure --authonly ; make will
 >  compile maradns thusly
 >   maradns.etc_maradns_mararc: Note that this will disable recursion
and caching
 >
 >   -- System Information:
 >   Debian Release: lenny/sid
 >   APT prefers unstable
 >   APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
 >   Architecture: amd64 (x86_64)
 >
 >   Kernel: Linux 2.6.24-1-amd64 (SMP w/1 CPU core)
 >   Locale: LANG=en_GB, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
 >   Shell: /bin/sh linked to /bin/dash
 >
 >
 >   --
 >   .''`.   martin f. krafft <madduck@debian.org>
 >   : :'  :  proud Debian developer, author, administrator, and user
 >   `. `'`   http://people.debian.org/~madduck - http://debiansystem.info
 >   `-  Debian - when you have better things to do than fixing systems
 >
 >  -----BEGIN PGP SIGNATURE-----
 >   Version: GnuPG v1.4.6 (GNU/Linux)
 >
 >   iD8DBQFIEZVsIgvIgzMMSnURAgloAJ9cUxBRt7EBF7zt1n8MZXCho9OWogCg2n5+
 >   gPZa3hZkoD9nrC6tN6bkmBo=
 >   =thrQ
 >   -----END PGP SIGNATURE-----
 >




Tags added: wontfix Request was from "Kai Hendry" <hendry@iki.fi> to control@bugs.debian.org. (Mon, 15 Dec 2008 20:45:10 GMT) Full text and rfc822 format available.

Added tag(s) ipv6. Request was from Simon Paillard <simon.paillard@resel.enst-bretagne.fr> to control@bugs.debian.org. (Sat, 16 Jan 2010 19:48:27 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Tue, 23 Mar 2010 01:03:36 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 07:51:40 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 08:30:38 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Kai Hendry <hendry@iki.fi>:
Bug#477787; Package maradns. (Fri, 23 Jul 2010 09:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Trenholme <strenholme.usenet@gmail.com>:
Extra info received and forwarded to list. Copy sent to Kai Hendry <hendry@iki.fi>. (Fri, 23 Jul 2010 09:21:04 GMT) Full text and rfc822 format available.

Message #23 received at 477787@bugs.debian.org (full text, mbox):

From: Sam Trenholme <strenholme.usenet@gmail.com>
To: 477787@bugs.debian.org
Cc: Kai Hendry <hendry@iki.fi>, madduck@debian.org
Subject: Re: fails to bind to ipv6 addresses
Date: Fri, 23 Jul 2010 02:16:11 -0700
Upstream here: MaraDNS 2.0 will have full IPv6 support.  I have just
made a beta-test release of the relevant code (MaraDNS 2.0's
up-and-coming recursor, Deadwood) and encourage people to test it and
report bugs on the MaraDNS mailing list.

- Sam

Note: I do not answer MaraDNS (including Deadwood) support requests
sent by private email without being compensated for my time. A MaraDNS
support request is any and all discussion you may wish to have about
MaraDNS in private email; if you want to email me to talk about
MaraDNS then, yes, that is a support request. I will discuss rates if
you want this kind of support. Thank you for your understanding.

MaraDNS security vulnerability reports, however, will be dealt with
without charge and kept confidential. If you don't know what Bugtraq
is, then, no, your email is not a security report. It is not a
security report unless you've done due diligence to determine how the
security bug you think you found can reasonably be exploited.




Information forwarded to debian-bugs-dist@lists.debian.org, Kai Hendry <hendry@iki.fi>:
Bug#477787; Package maradns. (Wed, 02 Feb 2011 23:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Kai Hendry <hendry@iki.fi>. (Wed, 02 Feb 2011 23:30:03 GMT) Full text and rfc822 format available.

Message #28 received at 477787@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 477787@bugs.debian.org
Subject: IPv6 and maraDNS
Date: Wed, 02 Feb 2011 23:27:05 +0000
retitle 477787 Need to plan migration path to MaraDNS to 2.0
tag 477787 -wontfix +confirmed
owner 477787 nicholas@periapt.co.uk
thanks

This seems like a suitable peg to hang the upgrade onto.





Changed Bug title to 'Need to plan migration path to MaraDNS to 2.0' from 'fails to bind to ipv6 addresses' Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 03 Feb 2011 00:15:02 GMT) Full text and rfc822 format available.

Removed tag(s) wontfix. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 03 Feb 2011 00:15:03 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 03 Feb 2011 00:15:03 GMT) Full text and rfc822 format available.

Owner recorded as nicholas@periapt.co.uk. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 03 Feb 2011 00:15:04 GMT) Full text and rfc822 format available.

Merged 477787 573970. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 03 Feb 2011 07:27:06 GMT) Full text and rfc822 format available.

Merged 477787 525188 573970. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Thu, 03 Feb 2011 17:18:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 477787: 612229 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sun, 06 Feb 2011 23:15:07 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:14 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Tue, 17 May 2011 13:54:10 GMT) Full text and rfc822 format available.

Forcibly Merged 477787 525188 573970 639675. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Mon, 29 Aug 2011 17:12:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 477787: 636158 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sat, 24 Sep 2011 09:57:25 GMT) Full text and rfc822 format available.

Disconnected #639675 from all other report(s). Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Tue, 29 Nov 2011 22:39:07 GMT) Full text and rfc822 format available.

Disconnected #573970 from all other report(s). Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Wed, 30 Nov 2011 23:27:13 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sat, 07 Jan 2012 00:18:03 GMT) Full text and rfc822 format available.

Reply sent to Nicholas Bamber <nicholas@periapt.co.uk>:
You have taken responsibility. (Sat, 07 Jan 2012 13:10:26 GMT) Full text and rfc822 format available.

Notification sent to martin f krafft <madduck@debian.org>:
Bug acknowledged by developer. (Sat, 07 Jan 2012 13:10:30 GMT) Full text and rfc822 format available.

Message #61 received at 477787-close@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 477787-close@bugs.debian.org
Subject: Bug#477787: fixed in maradns 2.0.04-1
Date: Sat, 07 Jan 2012 13:04:30 +0000
Source: maradns
Source-Version: 2.0.04-1

We believe that the bug you reported is fixed in the latest version of
maradns, which is due to be installed in the Debian FTP archive:

duende_2.0.04-1_i386.deb
  to main/m/maradns/duende_2.0.04-1_i386.deb
maradns-deadwood_2.0.04-1_i386.deb
  to main/m/maradns/maradns-deadwood_2.0.04-1_i386.deb
maradns-docs_2.0.04-1_all.deb
  to main/m/maradns/maradns-docs_2.0.04-1_all.deb
maradns-zoneserver_2.0.04-1_i386.deb
  to main/m/maradns/maradns-zoneserver_2.0.04-1_i386.deb
maradns_2.0.04-1.debian.tar.gz
  to main/m/maradns/maradns_2.0.04-1.debian.tar.gz
maradns_2.0.04-1.dsc
  to main/m/maradns/maradns_2.0.04-1.dsc
maradns_2.0.04-1_i386.deb
  to main/m/maradns/maradns_2.0.04-1_i386.deb
maradns_2.0.04.orig.tar.bz2
  to main/m/maradns/maradns_2.0.04.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 477787@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nicholas Bamber <nicholas@periapt.co.uk> (supplier of updated maradns package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 06 Jan 2012 08:47:03 +0000
Source: maradns
Binary: maradns maradns-zoneserver maradns-deadwood duende maradns-docs
Architecture: source i386 all
Version: 2.0.04-1
Distribution: experimental
Urgency: low
Maintainer: Nicholas Bamber <nicholas@periapt.co.uk>
Changed-By: Nicholas Bamber <nicholas@periapt.co.uk>
Description: 
 duende     - logging daemonizer
 maradns    - simple security-focused authoritative Domain Name Service server
 maradns-deadwood - simple security-focused reursive Domain Name Service server
 maradns-docs - upstream documentation for the MaraDNS Domain Name Service server
 maradns-zoneserver - complementary server process to TCP functions for MaraDNS
Closes: 477787 612229
Changes: 
 maradns (2.0.04-1) experimental; urgency=low
 .
   * Allowed watch file to pick up 2.x releases
   * New upstream release
   * Refreshed patches
   * Added override to stop deletion of server/MaraDNS.c.orig
   * Added patch to stop corruption of deadwood source code
   * Added public domain stanza trying to give useful information about
     the public domain status (or otherwise) of certain files.
   * Updated doc-base index file
   * Split out documentation into separate package as it is written from
     an upstream point of view
   * Added askmara-tcp tool to maradns-zoneserver package
   * Added experimental maradns-deadwood package (Closes: #612229)
   * Turned on compilation for IPv6 (Closes: #477787)
Checksums-Sha1: 
 c04444bbeb830afda6f231808557a56fa1c7836a 2008 maradns_2.0.04-1.dsc
 ab84bdd260aa9a94492bbba20099e9d88ffe39c3 1012201 maradns_2.0.04.orig.tar.bz2
 af2d37fa5fb082ff62ea19c8d07c3491e15ff9c1 41584 maradns_2.0.04-1.debian.tar.gz
 19f50c7dc2d4927c7900f8484e67aee68f07b574 385106 maradns_2.0.04-1_i386.deb
 a4c5c804aba51a43cf226bdd4936e8fa574c792a 176522 maradns-zoneserver_2.0.04-1_i386.deb
 6416f90683188a2d61332fa8e35281628988b590 122116 maradns-deadwood_2.0.04-1_i386.deb
 a36449fdd7542d8025beb45b52bfa00c3e7c7ffe 69678 duende_2.0.04-1_i386.deb
 98f1fe403046449b373f418910c032772af1693c 183760 maradns-docs_2.0.04-1_all.deb
Checksums-Sha256: 
 1097514ddaf5237bb05d024a0c6c7efdb30a3260c6675e30a81165baf3dfa3a3 2008 maradns_2.0.04-1.dsc
 07c689566a6b0815403f32b7c11e8fa328cf8e507829b26d1ea47c1a8059a61b 1012201 maradns_2.0.04.orig.tar.bz2
 5be44762822f1ad8cf89a872422604a86d6926957480cf00c9f41ce9f45bcc97 41584 maradns_2.0.04-1.debian.tar.gz
 48f9f5491d30069c1f1c70af34b97bb559895dd4bfec8508b2756d91ba1efbdc 385106 maradns_2.0.04-1_i386.deb
 18e87a877ee30719c329e77d760be78b79a5d311f2690da00c50b048f6cb923d 176522 maradns-zoneserver_2.0.04-1_i386.deb
 20b40aec34fb6b2879886212b23281158bbd06ce7446173a77144de347a48bf2 122116 maradns-deadwood_2.0.04-1_i386.deb
 ad160919094ab0cd131afc4b3bb49608253ebc40d56202109c33604ba816a2e1 69678 duende_2.0.04-1_i386.deb
 6f86cc4e2955473a24799d60d50e68004e5bf4780fec3a679b00a01c3ddea65f 183760 maradns-docs_2.0.04-1_all.deb
Files: 
 361ee6f1e0feaa5adbd3c6dbf849ecc9 2008 net extra maradns_2.0.04-1.dsc
 24badc9700ee099e97f8232f85d40793 1012201 net extra maradns_2.0.04.orig.tar.bz2
 717573889cfe7495ea0219c482b5ec98 41584 net extra maradns_2.0.04-1.debian.tar.gz
 f4de60c083705799b1bc034a9b999fe4 385106 net extra maradns_2.0.04-1_i386.deb
 eb2bb05980ff71679d3de1706aab373e 176522 net extra maradns-zoneserver_2.0.04-1_i386.deb
 eeed1308feaeaee0c618200dd5e36e30 122116 net extra maradns-deadwood_2.0.04-1_i386.deb
 19e8c35db2c80ab780c1cf7cae8da0da 69678 admin optional duende_2.0.04-1_i386.deb
 84fcb7b3b6510a0545bc58be49d8e52d 183760 doc extra maradns-docs_2.0.04-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJPB4HXAAoJELbE2bY7/+c8/TUP/iDWIgS9wbqSA8j/a6zYyahf
WiMeAvzUIb4NH9+HO/F92HQDq8GcaOpCOIr1rUnS+ra4gS9xGEDB8Yz26vkX+O+J
VSzttz0zap2jcIbjMkPiHH4a+eWcHgL8HlWe/1TQVkQCncGDoqNNpllmDA20oM4l
ddM0CVxNFwe0M4tYnBrYVuCHB64fSxG6ekuJYhRm+yPGcHLZfwRsrlMg4ac9gGS+
WJQ4IN9xqPUXLk83VTv52R99evm2b6VJMRMZieh5LTjcV6j4gpc5reF9pH4F6x7J
V4ltImP8cRSDhx5KY1forQwtcoOqvWJhqtUsbusLi2JW7oEQbbf+YJ1/6sIW3B87
bLFiK9qYZiJJ4G065I7epCm0+5ONgFzBz9QftFBaCq4/QSRG0c08Dd7lqKM4AM2G
+JZONsVBYMog27dyNnzZlzAkgicygQB2XJZVm8S7mhZ8FQ6+CmLnvwrhgz7whguy
6QLHES30jNlZ5SIEJ59e9zieKi9V2fIFO1mpQB0gtrzlasz0x34/3gN6tXfu3D7Y
r87WLFpgSj8+C7wHCqmKxIYX/TofMNK6XAACmjsGjUpXcFUiss/0dGCKXzmejRHy
Mm3cQtK8h2D4jqDwbGZxrSbY+I7+8UvdYCUk/uLs7qd7w7H0hL/jqpesa+/WT0+7
Cffl8KXobIZdV7xXM+oJ
=dJ3O
-----END PGP SIGNATURE-----





Reply sent to Nicholas Bamber <nicholas@periapt.co.uk>:
You have taken responsibility. (Sat, 07 Jan 2012 13:10:42 GMT) Full text and rfc822 format available.

Notification sent to Christoph Biedl <debian.packages.hhqj@manchmal.in-ulm.de>:
Bug acknowledged by developer. (Sat, 07 Jan 2012 13:10:46 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 477787: 688497 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Wed, 26 Sep 2012 06:57:04 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:35:52 GMT) Full text and rfc822 format available.

Removed tag(s) sid, squeeze, wheezy, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:28 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 28 Mar 2014 07:40:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:24:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.